Skip to main content
POST
Retrieve associations

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

fromObjectType
string
required

The type of the source object from which associations are being read.

toObjectType
string
required

The type of the target object to which associations are being read.

Body

application/json
inputs
object[]
required

An array of PublicFetchAssociationsBatchRequest objects, each specifying the details for fetching associations for a particular object. This property is required.

Response

successful operation

completedAt
string<date-time>
required

The timestamp when the batch processing was completed, in ISO 8601 format.

results
object[]
required

An array of results from the batch operation, each representing an association with labels between objects.

startedAt
string<date-time>
required

The timestamp when the batch processing began, in ISO 8601 format.

status
enum<string>
required

The status of the batch processing request: "PENDING", "PROCESSING", "CANCELED", or "COMPLETE".

Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

An object containing relevant links related to the batch request.

requestedAt
string<date-time>

The timestamp when the batch request was initially made, in ISO 8601 format.

Last modified on September 9, 2026